Subject: Re: bug#30846: 26.0.91; debug-watch of kill-all-local-variables triggers 'assertion failed: found == !EQ (blv->defcell, blv->valcell)'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Mar 2018 17:53:22 +0200

> From: Stefan Monnier <[email-masked]>
> Date: Thu, 22 Mar 2018 11:45:32 -0400
> Cc: [email-masked]
> 
> If you feel this is too risky for emacs-26, I wouldn't blame you (this
> is pretty tricky code): while the assertion crashes Emacs, a normal
> build without assertions will likely not notice the problem at all.
> I came up with a test case that catches the problem, but I think that in
> "real" life it's very unlikely to cause a problem.
> 
> It applies unchanged to master (and while looking at this bug I found
> a whole bunch of other minor changes that I plan to install into master
> anyway).

I indeed prefer to install this on master, not on the release branch.

Thanks.